Package com.google.javascript.jscomp

# Interface FunctionInformationMap.ModuleOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FunctionInformationMap.Module`, `FunctionInformationMap.Module.Builder`

Enclosing class:
  `FunctionInformationMap`

public static interface FunctionInformationMap.ModuleOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getCompiledSource()`
`required string compiled_source = 103;`
`com.google.protobuf.ByteString`
`getCompiledSourceBytes()`
`required string compiled_source = 103;`
`String`
`getName()`
`required string name = 102;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`required string name = 102;`
`boolean`
`hasCompiledSource()`
`required string compiled_source = 103;`
`boolean`
`hasName()`
`required string name = 102;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasName

boolean hasName()
`required string name = 102;`

Returns:
  Whether the name field is set.

### getName

String getName()
`required string name = 102;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()
`required string name = 102;`

Returns:
  The bytes for name.

### hasCompiledSource

boolean hasCompiledSource()
`required string compiled_source = 103;`

Returns:
  Whether the compiledSource field is set.

### getCompiledSource

String getCompiledSource()
`required string compiled_source = 103;`

Returns:
  The compiledSource.

### getCompiledSourceBytes

com.google.protobuf.ByteString getCompiledSourceBytes()
`required string compiled_source = 103;`

Returns:
  The bytes for compiledSource.